StarPU Internal Handbook

Data Fields
_starpu_mpi_backend Struct Reference

## Data Fields
void(* | _starpu_mpi_backend_init )(struct starpu_conf *conf)
void(* | _starpu_mpi_backend_shutdown )(void)
int(* | _starpu_mpi_backend_reserve_core )(void)
void(* | _starpu_mpi_backend_request_init )(struct _starpu_mpi_req *req)
void(* | _starpu_mpi_backend_request_fill )(struct _starpu_mpi_req *req, MPI_Comm comm, int is_internal_req)
void(* | _starpu_mpi_backend_request_destroy )(struct _starpu_mpi_req *req)
void(* | _starpu_mpi_backend_data_clear )(starpu_data_handle_t data_handle)
void(* | _starpu_mpi_backend_data_register )(starpu_data_handle_t data_handle, starpu_mpi_tag_t data_tag)
void(* | _starpu_mpi_backend_comm_register )(MPI_Comm comm)

The documentation for this struct was generated from the following file:

- starpu_mpi_private.h